基于maven使用apache的common-configuration的过程中,遇到一个依赖小问题,记录下

关于这个包commons-configuration-1.6.jar,注意一定要有三个包才能使用,见下pom片段

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
<dependencies>

    <dependency>

        <groupId>commons-configuration</groupId>

        <artifactId>commons-configuration</artifactId>

        <version>1.8</version>

    </dependency>

    <dependency>

        <groupId>commons-beanutils</groupId>

        <artifactId>commons-beanutils</artifactId>

        <version>1.8.0</version>

    </dependency>

    <dependency>

        <groupId>commons-jxpath</groupId>

        <artifactId>commons-jxpath</artifactId>

        <version>1.3</version>

    </dependency>

</dependencies>

发表评论